## net.i2p.router.web
Class ConfigLoggingHelper

    java.lang.Object
      net.i2p.router.web.ConfigLoggingHelper

    public class ConfigLoggingHelper

extends java.lang.Object

Constructor Summary
`ConfigLoggingHelper()`

Method Summary
`java.lang.String` `getDatePattern()`
`java.lang.String` `getDefaultLogLevelBox()`
`java.lang.String` `getLogFilePattern()`
`java.lang.String` `getLogLevelTable()`
`java.lang.String` `getMaxFileSize()`
`java.lang.String` `getRecordPattern()`
`void` `setContextId(java.lang.String contextId)` Configure this bean to query a particular router context

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigLoggingHelper

    public ConfigLoggingHelper()

Method Detail

### setContextId

    public void setContextId(java.lang.String contextId)

  Configure this bean to query a particular router context

  Parameters:
    `contextId` - begging few characters of the routerHash, or null to pick the first one we come across.

### getLogFilePattern

    public java.lang.String getLogFilePattern()

### getRecordPattern

    public java.lang.String getRecordPattern()

### getDatePattern

    public java.lang.String getDatePattern()

### getMaxFileSize

    public java.lang.String getMaxFileSize()

### getLogLevelTable

    public java.lang.String getLogLevelTable()

### getDefaultLogLevelBox

    public java.lang.String getDefaultLogLevelBox()